#!/usr/bin/python
# -*- coding: utf-8 -*-

#####################################################
import os

from ..device import device

#####################################################
def configEnvironment():
	
	result = False
	ostype = device.getOperatingSystem()

	if ostype == device.OS_TYPE_WINDOWS:	#windows
		value0 = os.environ['PATH']
		value1 = os.environ['SystemRoot']
		value2 = "%s\\system32\\TechnoAP" % (value1)
		value3 = value0 + ';' + value2
		os.environ['PATH'] = value3
		result = True
	elif ostype == device.OS_TYPE_LINUX:	#linux
		result = True
	else:
		result = False

	return result


#####################################################
ISPATHSETTING = configEnvironment()


#####################################################
__all__ = [
	'ftdibase',
	'ftdi',
	'constant',
	'struct'
]

from . import *
